Bug 1648252

Summary: Error after upgrade on subscription page
Product: Red Hat Satellite 6 Reporter: Nithin Thomas <nitthoma>
Component: Subscription ManagementAssignee: Andrew Kofink <akofink>
Status: CLOSED ERRATA QA Contact: jcallaha
Severity: urgent Docs Contact:
Priority: urgent    
Version: 6.4.0CC: ahumbe, akarimi, akofink, cmarinea, csulekha, gapatil, gordon.stocks, jpalko, jsherril, ktordeur, kupadhya, mjia, mkalyat, mmccune, mvanderw, nkathole, nshaik, okhatavk, patalber, pcreech, phess, rbertolj, risantam, sghai, smajumda, suarora, syangsao
Target Milestone: 6.5.0Keywords: PrioBumpGSS, Regression, Triaged
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1601429
: 1661294 (view as bug list) Environment:
Last Closed: 2019-05-14 12:38:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1601429    
Bug Blocks:    

Comment 2 pm-sat@redhat.com 2018-11-09 11:04:30 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24272 has been resolved.

Comment 14 jcallaha 2019-02-05 15:07:18 UTC
Verified in Satellite 6.5.0 Snap 13

Steps:
Installed a Satellite 6.3
Added subscriptions (one that provides guests)
Registered a client with that subscription
Updated the quantity to 5 (psql)
Upgraded the Satellite to 6.4.1
Confirmed that the error was shown
Upgraded the Satellite to 6.5.0 Snap 13

Results:
No error is present, and the quantity is still correctly showing as 5.

For RH Internal, see attached video for verification.

Comment 19 errata-xmlrpc 2019-05-14 12:38:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222